# flitetestsrc

Creates audio test signals identifying channels

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseSrc
                        ╰──flitetestsrc

## Factory details

Authors: – David Schleef

Classification: – `Source/Audio`

Rank – none

Plugin – flite

Package – GStreamer Bad Plug-ins

## Pad Templates

### `src`

    audio/x-raw:
             format: S16LE
             layout: interleaved
               rate: 48000
           channels: [ 1, 8 ]

Presence – always

Direction – src

Object type – GstPad

## Properties

### samplesperbuffer

    “samplesperbuffer” gint

Number of samples in each outgoing buffer

Flags : Read / Write

Default value : 1024

The results of the search are